rem @echo off
rem #########################################################
rem #
rem #   OCO Source Materials
rem # 
rem #   Licensed Materials - Property of IBM
rem # 
rem #   5724-C02
rem # 
rem #   (C) Copyright IBM Corp. 2003  All Rights Reserved.
rem # 
rem #   US Government Users Restricted Rights - Use, duplication or
rem #   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem #
rem #	Author: Mark Boucher
rem #   
rem #   Batch file for feature 147434 (MA re-registration as new host)  
rem #	
rem #   %Z%%M%   %I%   %W% %G% %U%
rem #
rem #########################################################
rem #
rem # Usage:
rem # ------
rem # 1. Change the hostname.
rem # 2. Reboot (to make sure that the hostname change takes effect).
rem # 3. Stop the MA.
rem # 4. configMa.bat.
rem # 5. Start the MA.
rem #
rem # Both configMa.bat and tmtpEnv.bat (which is called by 
rem # configMa.bat) are in the MA/bin/w32-ix86 directory.
rem # configMa.bat should be executed from this directory.
rem #
rem # The configMa.bat script takes no arguments.

rem # This will retrieve and set all the required RTT system 
rem # variables.
@call tmtpEnv.bat

set CONFIG_MODE=%1

set tmtp.user.dir=%BASEDIR%

set JAVA_DIR=%BASEDIR%\jre142
set LIBPATH=%LIBPATH%;%JAVA_DIR%\bin;%JAVA_DIR%\bin\classic:

set CLASSPATH=.;%BASEDIR%\lib\local;%BASEDIR%\lib\local\patch.jar;%BASEDIR%\lib\install.jar;%BASEDIR%\lib\wsif.jar;%BASEDIR%\lib;%BASEDIR%\lib\copyright.jar;%BASEDIR%\lib\base64_51.jar;%BASEDIR%\lib\logging.jar;%BASEDIR%\lib\ejflt.jar;%BASEDIR%\lib\tmtp_l10n.jar;%BASEDIR%\lib\core_util.jar;%BASEDIR%\lib\tmtp_nls.jar;%BASEDIR%\lib\launch.jar;%BASEDIR%\lib\sm.jar;%BASEDIR%\lib\saaj.jar;%BASEDIR%\lib\jaxrpc.jar;%BASEDIR%\lib\qname-from-wsdl4j-20021124.jar;%BASEDIR%\lib\wsdl4j-20021124.jar;%BASEDIR%\lib\uid.jar;%BASEDIR%\lib\commons-discovery.jar;%BASEDIR%\lib\commons-logging.jar;%BASEDIR%\lib\axis.jar;%BASEDIR%\lib\valueObjects.jar;%BASEDIR%\lib\rbmsg.jar;%BASEDIR%\lib\activation.jar;%BASEDIR%\lib\jffdc.jar;%BASEDIR%\lib\jflt.jar;%BASEDIR%\lib\jlog.jar;%BASEDIR%\lib\eppam.jar;%BASEDIR%\lib\jmxc.jar;%BASEDIR%\lib\jmxx.jar;%BASEDIR%\lib\log.jar;%BASEDIR%\lib\tmtpext.jar;%BASEDIR%\lib\xercesImpl.jar;%BASEDIR%\lib\servlet-2_2.jar;%BASEDIR%\lib\xmlParserAPIs.jar;%BASEDIR%\lib\mail.jar

set MA_JAVA=%BASEDIR%\jre142\jre\bin\java.exe

set CLP=-Djava.class.path=%CLASSPATH% -Dtmtp.user.dir=%BASEDIR% -Dcom.ibm.tivoli.transperf.logging.baseDir=%BASEDIR%\common com.ibm.tivoli.transperf.install.config.SetupMa %CONFIG_MODE%

%MA_JAVA% %CLP%
